package com.jisco.dynamicweight.dynamicworkauditdata.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="动态秤称重数据")
public class DynamicWorkAuditdata implements IBasePO<String> {
    /**
     * 系统编号(AUDITDATA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="系统编号",required=true)
    private String auditdataNo;

    /**
     * 物料名称(MATERIAL_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String materialName;

    /**
     * 发货库房(SENDER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="发货库房",required=false)
    private String senderName;

    /**
     * 收货库房(RECIEVER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="收货库房",required=false)
    private String recieverName;

    /**
     * 物料编码(MATERIAL_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialCode;

    /**
     * 站点名称(STATION_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="站点名称",required=false)
    private String stationName;

    /**
     * 站点编码(STATION_CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="站点编码",required=false)
    private String stationCode;

    /**
     * 收货库房编码(RECIEVER_CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="收货库房编码",required=false)
    private String recieverCode;

    /**
     * 发货库房编码(SENDER_CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="发货库房编码",required=false)
    private String senderCode;

    /**
     * 重量(WEIGHT,DECIMAL,16)
     */
    @ApiModelProperty(value="重量",required=false)
    private BigDecimal weight;

    /**
     * 收货点类型(RECIEVER_TYPE,VARCHAR,60)
     */
    @ApiModelProperty(value="收货点类型",required=false)
    private String recieverType;

    /**
     * 发货点类型(SENDER_TYPE,VARCHAR,60)
     */
    @ApiModelProperty(value="发货点类型",required=false)
    private String senderType;

    /**
     * 上传标志(UPLOADED,VARCHAR,1)
     */
    @ApiModelProperty(value="上传标志",required=false)
    private String uploaded;

    /**
     * 开始时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开始时间",required=false)
    private Date startTime;

    /**
     * 结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="结束时间",required=false)
    private Date endTime;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 审核人编号(AUDITING_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="审核人编号",required=false)
    private String auditingManNo;

    /**
     * 原始记录(ORIGINAL_VALUE,VARCHAR,20)
     */
    @ApiModelProperty(value="原始记录",required=false)
    private String originalValue;

    /**
     * 系统修改日志(SYSLOG,VARCHAR,2000)
     */
    @ApiModelProperty(value="系统修改日志",required=false)
    private String syslog;

    /**
     * 审核人姓名(AUDITING_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="审核人姓名",required=false)
    private String auditingManName;

    /**
     * 审核时间(AUDITING_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间",required=false)
    private Date auditingTime;

    /**
     * 审核标识(AUDITING_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="审核标识",required=false)
    private String auditingFlag;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 上传皮卡系统ID
     */
    @ApiModelProperty(value="上传皮卡系统ID",required=false)
    private String pikaDataId;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.auditdataNo;
    }

    @Override
    public void setId(String auditdataNo) {
        this.auditdataNo = auditdataNo == null ? null : auditdataNo.trim();
    }

    public String getAuditdataNo() {
        return auditdataNo;
    }

    public void setAuditdataNo(String auditdataNo) {
        this.auditdataNo = auditdataNo == null ? null : auditdataNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode == null ? null : materialCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getRecieverName() {
        return recieverName;
    }

    public void setRecieverName(String recieverName) {
        this.recieverName = recieverName == null ? null : recieverName.trim();
    }

    public String getRecieverCode() {
        return recieverCode;
    }

    public void setRecieverCode(String recieverCode) {
        this.recieverCode = recieverCode == null ? null : recieverCode.trim();
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName == null ? null : senderName.trim();
    }

    public String getSenderCode() {
        return senderCode;
    }

    public void setSenderCode(String senderCode) {
        this.senderCode = senderCode == null ? null : senderCode.trim();
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getRecieverType() {
        return recieverType;
    }

    public void setRecieverType(String recieverType) {
        this.recieverType = recieverType == null ? null : recieverType.trim();
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType == null ? null : senderType.trim();
    }

    public String getUploaded() {
        return uploaded;
    }

    public void setUploaded(String uploaded) {
        this.uploaded = uploaded == null ? null : uploaded.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getAuditingManNo() {
        return auditingManNo;
    }

    public void setAuditingManNo(String auditingManNo) {
        this.auditingManNo = auditingManNo == null ? null : auditingManNo.trim();
    }

    public String getOriginalValue() {
        return originalValue;
    }

    public void setOriginalValue(String originalValue) {
        this.originalValue = originalValue == null ? null : originalValue.trim();
    }

    public String getSyslog() {
        return syslog;
    }

    public void setSyslog(String syslog) {
        this.syslog = syslog == null ? null : syslog.trim();
    }

    public String getAuditingManName() {
        return auditingManName;
    }

    public void setAuditingManName(String auditingManName) {
        this.auditingManName = auditingManName == null ? null : auditingManName.trim();
    }

    public Date getAuditingTime() {
        return auditingTime;
    }

    public void setAuditingTime(Date auditingTime) {
        this.auditingTime = auditingTime;
    }

    public String getAuditingFlag() {
        return auditingFlag;
    }

    public void setAuditingFlag(String auditingFlag) {
        this.auditingFlag = auditingFlag == null ? null : auditingFlag.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getPikaDataId() {
        return pikaDataId;
    }

    public void setPikaDataId(String pikaDataId) {
        this.pikaDataId = pikaDataId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", auditdataNo=").append(auditdataNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", materialCode=").append(materialCode);
        sb.append(", stationName=").append(stationName);
        sb.append(", stationCode=").append(stationCode);
        sb.append(", recieverName=").append(recieverName);
        sb.append(", recieverCode=").append(recieverCode);
        sb.append(", senderName=").append(senderName);
        sb.append(", senderCode=").append(senderCode);
        sb.append(", weight=").append(weight);
        sb.append(", recieverType=").append(recieverType);
        sb.append(", senderType=").append(senderType);
        sb.append(", uploaded=").append(uploaded);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", memo=").append(memo);
        sb.append(", auditingManNo=").append(auditingManNo);
        sb.append(", originalValue=").append(originalValue);
        sb.append(", syslog=").append(syslog);
        sb.append(", auditingManName=").append(auditingManName);
        sb.append(", auditingTime=").append(auditingTime);
        sb.append(", auditingFlag=").append(auditingFlag);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append(", pikaDataId=").append(pikaDataId);
        sb.append("]");
        return sb.toString();
    }
}